﻿#define DONOT_USE_STRINGBUILDER

using System;
using System.Text;

using System.Diagnostics;
using System.IO;

namespace StringConcatVsStringBuilder {
	class Program {
		static void Main(string[] args) {
			Stopwatch sw = Stopwatch.StartNew();
#if DONOT_USE_STRINGBUILDER
			string result = "";
#else
			StringBuilder sb = new StringBuilder();
#endif
			for (int i = 0; i < 40000; i++) {
#if DONOT_USE_STRINGBUILDER
				result += i.ToString();
				result += ", ";
#else
				sb.Append(i);
				sb.Append(", ");
#endif
			}
			sw.Stop();

#if !DONOT_USE_STRINGBUILDER
			string result = sb.ToString();
#endif
			File.WriteAllText("Output.txt", result);

			Console.WriteLine("Time elapsed: {0}", sw.Elapsed);
		}
	}
}
